## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenModelPackage.Literals

Enclosing interface:
  GenModelPackage

    public static interface GenModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `GEN_BASE` The meta object literal for the '`Gen Base`' class
`static org.eclipse.emf.ecore.EEnum` `GEN_CACHE_ADAPTER_SCOPE` The meta object literal for the '`Gen Cache Adapter Scope`' enum
`static org.eclipse.emf.ecore.EClass` `GEN_CLASS` The meta object literal for the '`Gen Class`' class
`static org.eclipse.emf.ecore.EClass` `GEN_CLASSIFIER` The meta object literal for the '`Gen Classifier`' class
`static org.eclipse.emf.ecore.EClass` `GEN_DATA_TYPE` The meta object literal for the '`Gen Data Type`' class
`static org.eclipse.emf.ecore.EClass` `GEN_ENUM` The meta object literal for the '`Gen Enum`' class
`static org.eclipse.emf.ecore.EClass` `GEN_ENUM_LITERAL` The meta object literal for the '`Gen Enum Literal`' class
`static org.eclipse.emf.ecore.EClass` `GEN_FEATURE` The meta object literal for the '`Gen Feature`' class
`static org.eclipse.emf.ecore.EAttribute` `GEN_FEATURE__KEY` The meta object literal for the 'Key' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GEN_FEATURE__PLURALIZATION_EXCEPTION` The meta object literal for the 'Pluralization Exception' attribute feature
`static org.eclipse.emf.ecore.EClass` `GEN_MODEL` The meta object literal for the '`Gen Model`' class
`static org.eclipse.emf.ecore.EAttribute` `GEN_MODEL__CACHE_ADAPTER_SUPPORT` The meta object literal for the 'Cache Adapter Support' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GEN_MODEL__FACTORY_METHODS` The meta object literal for the 'Factory Methods' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GEN_MODEL__INVARIANT_PREFIX` The meta object literal for the 'Invariant Prefix' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GEN_MODEL__PLURALIZED_GETTERS` The meta object literal for the 'Pluralized Getters' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GEN_MODEL__SAFE_STRINGS` The meta object literal for the 'Safe Strings' attribute feature
`static org.eclipse.emf.ecore.EClass` `GEN_OPERATION` The meta object literal for the '`Gen Operation`' class
`static org.eclipse.emf.ecore.EAttribute` `GEN_OPERATION__CACHE_ADAPTER_SCOPE` The meta object literal for the 'Cache Adapter Scope' attribute feature
`static org.eclipse.emf.ecore.EClass` `GEN_PACKAGE` The meta object literal for the '`Gen Package`' class
`static org.eclipse.emf.ecore.EAttribute` `GEN_PACKAGE__OPERATIONS_PACKAGE` The meta object literal for the 'Operations Package' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GEN_PACKAGE__RESOURCE_INTERFACES` The meta object literal for the 'Resource Interfaces' attribute feature
`static org.eclipse.emf.ecore.EClass` `GEN_PARAMETER` The meta object literal for the '`Gen Parameter`' class
`static org.eclipse.emf.ecore.EClass` `GEN_TYPED_ELEMENT` The meta object literal for the '`Gen Typed Element`' class

Field Detail

### GEN_BASE

    static final org.eclipse.emf.ecore.EClass GEN_BASE

  The meta object literal for the '`Gen Base`' class.

  See Also:
    `GenBaseImpl`, `GenModelPackageImpl.getGenBase()`

### GEN_CLASS

    static final org.eclipse.emf.ecore.EClass GEN_CLASS

  The meta object literal for the '`Gen Class`' class.

  See Also:
    `GenClassImpl`, `GenModelPackageImpl.getGenClass()`

### GEN_CLASSIFIER

    static final org.eclipse.emf.ecore.EClass GEN_CLASSIFIER

  The meta object literal for the '`Gen Classifier`' class.

  See Also:
    `GenClassifierImpl`, `GenModelPackageImpl.getGenClassifier()`

### GEN_DATA_TYPE

    static final org.eclipse.emf.ecore.EClass GEN_DATA_TYPE

  The meta object literal for the '`Gen Data Type`' class.

  See Also:
    `GenDataTypeImpl`, `GenModelPackageImpl.getGenDataType()`

### GEN_ENUM

    static final org.eclipse.emf.ecore.EClass GEN_ENUM

  The meta object literal for the '`Gen Enum`' class.

  See Also:
    `GenEnumImpl`, `GenModelPackageImpl.getGenEnum()`

### GEN_ENUM_LITERAL

    static final org.eclipse.emf.ecore.EClass GEN_ENUM_LITERAL

  The meta object literal for the '`Gen Enum Literal`' class.

  See Also:
    `GenEnumLiteralImpl`, `GenModelPackageImpl.getGenEnumLiteral()`

### GEN_FEATURE

    static final org.eclipse.emf.ecore.EClass GEN_FEATURE

  The meta object literal for the '`Gen Feature`' class.

  See Also:
    `GenFeatureImpl`, `GenModelPackageImpl.getGenFeature()`

### GEN_FEATURE__KEY

    static final org.eclipse.emf.ecore.EAttribute GEN_FEATURE__KEY

  The meta object literal for the 'Key' attribute feature.

### GEN_FEATURE__PLURALIZATION_EXCEPTION

    static final org.eclipse.emf.ecore.EAttribute GEN_FEATURE__PLURALIZATION_EXCEPTION

  The meta object literal for the 'Pluralization Exception' attribute feature.

### GEN_MODEL

    static final org.eclipse.emf.ecore.EClass GEN_MODEL

  The meta object literal for the '`Gen Model`' class.

  See Also:
    `GenModelImpl`, `GenModelPackageImpl.getGenModel()`

### GEN_MODEL__FACTORY_METHODS

    static final org.eclipse.emf.ecore.EAttribute GEN_MODEL__FACTORY_METHODS

  The meta object literal for the 'Factory Methods' attribute feature.

### GEN_MODEL__PLURALIZED_GETTERS

    static final org.eclipse.emf.ecore.EAttribute GEN_MODEL__PLURALIZED_GETTERS

  The meta object literal for the 'Pluralized Getters' attribute feature.

### GEN_MODEL__CACHE_ADAPTER_SUPPORT

    static final org.eclipse.emf.ecore.EAttribute GEN_MODEL__CACHE_ADAPTER_SUPPORT

  The meta object literal for the 'Cache Adapter Support' attribute feature.

### GEN_MODEL__SAFE_STRINGS

    static final org.eclipse.emf.ecore.EAttribute GEN_MODEL__SAFE_STRINGS

  The meta object literal for the 'Safe Strings' attribute feature.

### GEN_MODEL__INVARIANT_PREFIX

    static final org.eclipse.emf.ecore.EAttribute GEN_MODEL__INVARIANT_PREFIX

  The meta object literal for the 'Invariant Prefix' attribute feature.

### GEN_OPERATION

    static final org.eclipse.emf.ecore.EClass GEN_OPERATION

  The meta object literal for the '`Gen Operation`' class.

  See Also:
    `GenOperationImpl`, `GenModelPackageImpl.getGenOperation()`

### GEN_OPERATION__CACHE_ADAPTER_SCOPE

    static final org.eclipse.emf.ecore.EAttribute GEN_OPERATION__CACHE_ADAPTER_SCOPE

  The meta object literal for the 'Cache Adapter Scope' attribute feature.

### GEN_PACKAGE

    static final org.eclipse.emf.ecore.EClass GEN_PACKAGE

  The meta object literal for the '`Gen Package`' class.

  See Also:
    `GenPackageImpl`, `GenModelPackageImpl.getGenPackage()`

### GEN_PACKAGE__RESOURCE_INTERFACES

    static final org.eclipse.emf.ecore.EAttribute GEN_PACKAGE__RESOURCE_INTERFACES

  The meta object literal for the 'Resource Interfaces' attribute feature.

### GEN_PACKAGE__OPERATIONS_PACKAGE

    static final org.eclipse.emf.ecore.EAttribute GEN_PACKAGE__OPERATIONS_PACKAGE

  The meta object literal for the 'Operations Package' attribute feature.

### GEN_PARAMETER

    static final org.eclipse.emf.ecore.EClass GEN_PARAMETER

  The meta object literal for the '`Gen Parameter`' class.

  See Also:
    `GenParameterImpl`, `GenModelPackageImpl.getGenParameter()`

### GEN_TYPED_ELEMENT

    static final org.eclipse.emf.ecore.EClass GEN_TYPED_ELEMENT

  The meta object literal for the '`Gen Typed Element`' class.

  See Also:
    `GenTypedElementImpl`, `GenModelPackageImpl.getGenTypedElement()`

### GEN_CACHE_ADAPTER_SCOPE

    static final org.eclipse.emf.ecore.EEnum GEN_CACHE_ADAPTER_SCOPE

  The meta object literal for the '`Gen Cache Adapter Scope`' enum.

  See Also:
    `GenCacheAdapterScope`, `GenModelPackageImpl.getGenCacheAdapterScope()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.